> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hirehive.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get templates

> Get a paginated list of templates



## OpenAPI

````yaml get /v1.0/{company_id}/emailtemplates
openapi: 3.0.0
info:
  title: HireHive API reference
  termsOfService: https://www.hirehive.com/terms/
  contact:
    email: support@hirehive.com
  version: v1.0
servers:
  - url: https://api.hirehive.com
security:
  - bearerAuth: []
paths:
  /v1.0/{company_id}/emailtemplates:
    get:
      tags:
        - EmailTemplates
      summary: Get a paginated list of email templates
      operationId: EmailTemplates_GetEmailTemplates
      parameters:
        - name: company_id
          in: path
          required: true
          schema:
            type: string
            format: string
          x-position: 1
        - name: page
          in: query
          description: Defaults to 1
          schema:
            type: integer
            format: int32
          x-position: 2
        - name: page_size
          in: query
          description: Defaults to 30. Min = 1. Max = 100
          schema:
            type: integer
            format: int32
            maximum: 100
            minimum: 1
          x-position: 3
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PagedResponseOfEmailTemplateDto'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
components:
  schemas:
    PagedResponseOfEmailTemplateDto:
      type: object
      additionalProperties: false
      properties:
        meta:
          $ref: '#/components/schemas/Meta'
        links:
          $ref: '#/components/schemas/Links'
        items:
          type: array
          items:
            $ref: '#/components/schemas/EmailTemplateDto'
    ValidationProblemDetails:
      type: object
      additionalProperties:
        nullable: true
      properties:
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
    Meta:
      type: object
      additionalProperties: false
      properties:
        page_size:
          type: integer
          format: int32
        page:
          type: integer
          format: int32
        total_items:
          type: integer
          format: int32
        total_pages:
          type: integer
          format: int32
        has_next_page:
          type: boolean
        has_previous_page:
          type: boolean
    Links:
      type: object
      additionalProperties: false
      properties:
        first:
          type: string
        last:
          type: string
        next:
          type: string
        previous:
          type: string
    EmailTemplateDto:
      type: object
      additionalProperties: false
      properties:
        id:
          type: string
          format: int32
          nullable: true
        company_id:
          type: string
          format: int32
        name:
          type: string
          description: The name of the template
        subject:
          type: string
          description: The email subject of the template
        body:
          type: string
          description: The email body of the template
        type_id:
          $ref: '#/components/schemas/EmailTemplateTypes'
        sub_stage_id:
          type: string
          description: The pipeline stage associated with the template
          format: int32
          nullable: true
        stage:
          $ref: '#/components/schemas/ParentStage'
          description: The pipeline stage associated with the template
          nullable: true
        language:
          $ref: '#/components/schemas/LanguageDto2'
          description: The language of the template
        user_id:
          type: string
          description: The userid of the creator if this is a private template
          format: int32
          nullable: true
        private:
          type: boolean
          description: Private templates are only visible to their creator
        auto_response_default:
          type: boolean
          description: >-
            A boolean to indicate if this template is the default auto-responder
            for the selected language
    EmailTemplateTypes:
      type: string
      description: ''
      x-enumNames:
        - ApplicationEmail
        - ReferralsEmail
      enum:
        - application_email
        - referrals_email
    ParentStage:
      type: string
      description: ''
      x-enumNames:
        - Rejected
        - New
        - Screening
        - Interviewing
        - Offered
        - Hired
      enum:
        - rejected
        - new
        - screening
        - interviewing
        - offered
        - hired
    LanguageDto2:
      type: object
      additionalProperties: false
      properties:
        name:
          type: string
        code:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````